#include<iostream>

using namespace std;

int main(){
    int n, t, c, cnt, tb;
    cin >> n;
    int a[100000], b[100000];
    t=0;
    for(int i=0; i<n; i++){
        a[i]=i+1;
        t++;
    }
    t=n;
    int j=1;
    while(t!=1){
        j++;
        for(int i=0; i<t; i++) b[i]=a[i];
        cnt=t;
        t=0;
        c=0;
        for(int i=0; i<cnt; i+=j){
            a[c++]=b[i];
            t++;
        }
    }
    cout << b[cnt-1] << endl;
    return 0;
}

